[android-components](../../index.md) / [mozilla.components.feature.intent](../index.md) / [IntentProcessor](index.md) / [unregisterHandler](./unregister-handler.md)

# unregisterHandler

`fun unregisterHandler(action: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/intent/src/main/java/mozilla/components/feature/intent/IntentProcessor.kt#L132)

Removes the registered handler for the given intent action, if present.

### Parameters

`action` - the intent action for which the handler should be removed.